Package org.eclipse.jgit.transport

## Class PackParser.ObjectTypeAndSize

- java.lang.Object
- - org.eclipse.jgit.transport.PackParser.ObjectTypeAndSize

Enclosing class:
  PackParser

    public static class PackParser.ObjectTypeAndSize
    extends Object

Type and size information about an object in the database buffer.

### Field Summary

Fields
`long` `size` The inflated size of the object.
`int` `type` The type of the object.

### Constructor Summary

Constructors
`ObjectTypeAndSize()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    public int type

The type of the object.

#### size

    public long size

The inflated size of the object.

### Constructor Detail

#### ObjectTypeAndSize

    public ObjectTypeAndSize()